import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FlexyControlDaterangepickerComponent implements OnInit {
    control: FormControl;
    default: {
        start: string;
        end: string;
    };
    min: string;
    max: string;
    placeholder: string;
    theme: string;
    format: string;
    readonly: boolean;
    isDisabled: boolean;
    customClass: string;
    focused: EventEmitter<Event>;
    clicked: EventEmitter<Event>;
    changed: EventEmitter<Event>;
    bsConfig: {
        rangeInputFormat: string;
        containerClass: string[];
    };
    bsRangeValue: Date[];
    minDate: Date;
    maxDate: Date;
    defaultRange: string;
    readonlyValue: string;
    ngOnInit(): void;
    onChange(event: any): void;
    private configDatepicker;
    private setReadonlyValue;
    static ɵfac: i0.ɵɵFactoryDef<FlexyControlDaterangepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyControlDaterangepickerComponent, "flexy-control-daterangepicker", never, { "control": "control"; "default": "default"; "min": "min"; "max": "max"; "placeholder": "placeholder"; "theme": "theme"; "format": "format"; "readonly": "readonly"; "isDisabled": "isDisabled"; "customClass": "customClass"; }, { "focused": "focused"; "clicked": "clicked"; "changed": "changed"; }, never, never>;
}
