import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SelectOption, SelectOptionData } from '@ng-flexy/form';
import * as i0 from "@angular/core";
export declare class FlexyControlSelectComponent implements OnInit {
    control: FormControl;
    options: SelectOption[];
    default: string;
    readonly: boolean;
    focused: EventEmitter<Event>;
    clicked: EventEmitter<Event>;
    changed: EventEmitter<Event>;
    optionsData: SelectOptionData[];
    ngOnInit(): void;
    onChanged(data: SelectOptionData): void;
    getOptionText(value: any): string;
    static ɵfac: i0.ɵɵFactoryDef<FlexyControlSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyControlSelectComponent, "flexy-control-select", never, { "control": "control"; "options": "options"; "default": "default"; "readonly": "readonly"; }, { "focused": "focused"; "clicked": "clicked"; "changed": "changed"; }, never, never>;
}
