import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FlexyFormAbstractOptionsComponent, FlexyFormControlOptionsService, FlexyFormFieldLayoutSchema, FlexyFormOptionsFilter, SelectOption, SelectOptionMapper } from '@ng-flexy/form';
import { FlexyLoggerService } from '@ng-flexy/core';
import * as i0 from "@angular/core";
export declare class FlexyFormCheckboxListComponent extends FlexyFormAbstractOptionsComponent implements OnInit {
    protected optionsService: FlexyFormControlOptionsService;
    protected logger: FlexyLoggerService;
    private cdr;
    layoutSchema: FlexyFormFieldLayoutSchema;
    default: string[];
    options: SelectOption[];
    optionsUrl: string;
    optionsPath: string;
    optionsMapper: SelectOptionMapper | string;
    optionsFilter: FlexyFormOptionsFilter;
    optionsRawId: string;
    label: string;
    description: string;
    readonly: boolean;
    constructor(optionsService: FlexyFormControlOptionsService, logger: FlexyLoggerService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDef<FlexyFormCheckboxListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyFormCheckboxListComponent, "flexy-form-checkbox-list", never, { "layoutSchema": "layoutSchema"; "default": "default"; "options": "options"; "optionsUrl": "optionsUrl"; "optionsPath": "optionsPath"; "optionsMapper": "optionsMapper"; "optionsFilter": "optionsFilter"; "optionsRawId": "optionsRawId"; "label": "label"; "description": "description"; "readonly": "readonly"; }, {}, never, never>;
}
