import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { FlexyForm, FlexyFormComplexFieldLayoutJsonSchema, FlexyFormFieldLayoutSchema, FlexyFormJsonMapperService, FlexyFormSchemaService } from '@ng-flexy/form';
import { FormControl } from '@angular/forms';
import { FlexyToastsService } from '@ng-flexy/toasts';
import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export declare class FlexyFormGroupComponent implements OnInit {
    private jsonMapperService;
    private schemaService;
    private toasts;
    private translate;
    private changeDetectorRef;
    private elementRef;
    layoutSchema: FlexyFormFieldLayoutSchema;
    form: FlexyForm;
    legend: string;
    readonly: boolean;
    addable: boolean;
    removable: boolean;
    jsonSchema: FlexyFormComplexFieldLayoutJsonSchema;
    parentGroupName: string;
    isRequired: boolean;
    isAddFormVisible: boolean;
    addFormControl: FormControl;
    constructor(jsonMapperService: FlexyFormJsonMapperService, schemaService: FlexyFormSchemaService, toasts: FlexyToastsService, translate: TranslateService, changeDetectorRef: ChangeDetectorRef, elementRef: ElementRef);
    ngOnInit(): void;
    addNew(event: any): void;
    removeItem(index: any): void;
    focusOnNewInput(): void;
    private prepareNewKey;
    private keyValidator;
    static ɵfac: i0.ɵɵFactoryDef<FlexyFormGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyFormGroupComponent, "flexy-form-group", never, { "layoutSchema": "layoutSchema"; "form": "form"; "legend": "legend"; "readonly": "readonly"; "addable": "addable"; "removable": "removable"; "jsonSchema": "jsonSchema"; "parentGroupName": "parentGroupName"; }, {}, never, never>;
}
