import { OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { TreeNode } from '../models/tree-node.model';
import { FlexyTreeService } from '../services/tree.service';
import * as i0 from "@angular/core";
export declare class FlexyTreeNodeComponent implements OnInit, OnDestroy {
    private treeService;
    nodes: TreeNode[];
    templateRef: TemplateRef<any>;
    private _subscription;
    constructor(treeService: FlexyTreeService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleExpand(leaf: TreeNode): void;
    toggleSelected(node: TreeNode): void;
    static ɵfac: i0.ɵɵFactoryDef<FlexyTreeNodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyTreeNodeComponent, "flexy-tree-node", never, { "nodes": "nodes"; "templateRef": "templateRef"; }, {}, never, never>;
}
