import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FlexyControlChipsComponent implements OnInit {
    control: FormControl;
    autocompleteItems: string[];
    default: string;
    readonly: boolean;
    placeholder: string;
    disableDragging: boolean;
    animations: boolean;
    onlyFromAutocomplete: boolean;
    changed: EventEmitter<any>;
    animationDuration: {
        enter: string;
        leave: string;
    };
    chipsFormControl: FormControl;
    ngOnInit(): void;
    onChange(): void;
    private setFormControl;
    static ɵfac: i0.ɵɵFactoryDef<FlexyControlChipsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyControlChipsComponent, "flexy-control-chips", never, { "control": "control"; "autocompleteItems": "autocompleteItems"; "default": "default"; "readonly": "readonly"; "placeholder": "placeholder"; "disableDragging": "disableDragging"; "animations": "animations"; "onlyFromAutocomplete": "onlyFromAutocomplete"; }, { "changed": "changed"; }, never, never>;
}
