import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SelectOption, SelectOptionData } from '@ng-flexy/form';
import * as i0 from "@angular/core";
export declare class FlexyControlSelect2Component implements OnInit, OnChanges {
    control: FormControl;
    options: SelectOption[];
    optionsRawId: string;
    default: string;
    readonly: boolean;
    multiple: boolean;
    addItem: boolean;
    placeholder: string;
    hideSelected: boolean;
    enableSearchByValue: boolean;
    loading: boolean;
    loadingText: string;
    focused: EventEmitter<Event>;
    clicked: EventEmitter<Event>;
    changed: EventEmitter<any>;
    selectControl: FormControl;
    virtualScroll: boolean;
    optionsData: SelectOptionData[];
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    onChange(data: SelectOptionData | SelectOptionData[]): void;
    getReadonlyInfo(value: any): string;
    customSearchFn(term: string, item: SelectOption): any;
    static ɵfac: i0.ɵɵFactoryDef<FlexyControlSelect2Component, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<FlexyControlSelect2Component, "flexy-control-select2", never, { "control": "control"; "options": "options"; "optionsRawId": "optionsRawId"; "default": "default"; "readonly": "readonly"; "multiple": "multiple"; "addItem": "addItem"; "placeholder": "placeholder"; "hideSelected": "hideSelected"; "enableSearchByValue": "enableSearchByValue"; "loading": "loading"; "loadingText": "loadingText"; }, { "focused": "focused"; "clicked": "clicked"; "changed": "changed"; }, never, never>;
}
